Subject: Re: bug#11242: 24.1.50; Switching to rmai view buffer

From: Richard Stallman <[email-masked]>
Date: Mon, 16 Apr 2012 18:01:48 -0400

This code is wrong; the NEWBUF should not be passed to
    rmail-mail-return, it should be the BUFFER variable in the loop.  I've
    committed a fix.

I think you're right.

However, it is nonetheless true that other-buffer should not return
buffers whose names start with space.

    BTW, having code in mail-bury to specially handle Rmail buffers is kinda
    ugly.  This probably needs to be folded into the quit-window mechanism,
    somehow.  In the first place, I'm not even sure it's appropriate to
    redirect the user to an Rmail buffer if the mail command was not started
    from Rmail.

Yes it is appropriate.  I put it in because the lack of it was a
nuisance.

But if that feature were removed, look what would happen:

    (if (and (null arg) return-action)
	(apply (car return-action) (cdr return-action))
      (switch-to-buffer newbuf))))

It would switch to NEWBUF, the same bug as was just happening.

--
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call